FLANG

Static Public Member Functions | List of all members
fir::PointIntervalAttr Class Reference

`#include <flang/Optimizer/Dialect/FIRAttr.h>`

Inheritance diagram for fir::PointIntervalAttr:

## Static Public Member Functions
static constexpr llvm::StringRef | getAttrName ()
static PointIntervalAttr | get (mlir::MLIRContext *ctxt)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

A pointer interval is a closed interval as given as an ssa-value. The interval contains exactly one value. A case selector of `CASE (p)` corresponds to exactly the value `p` and is encoded as `#fir.point, p`.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRAttr.h
- lib/Optimizer/Dialect/FIRAttr.cpp